Bug 249995 - Clips (time) function always returns 0.0
Summary: Clips (time) function always returns 0.0
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: clips   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rick L Vinyard Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-29 06:02 UTC by Scott Ross
Modified: 2008-10-30 22:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 22:40:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Ross 2007-07-29 06:02:08 UTC
Description of problem:
  The '(time)' function always returns 0.0.  This function should return the
number of seconds since an unspecified epoch.

Version-Release number of selected component (if applicable):
  clips-6.24-22.fc7

How reproducible:
  Always

Steps to Reproduce:
1.run clips or xclips
2.type (time)
3.wait a few seconds and type (time) again.
  
Actual results:
  the function always returns 0.0

Expected results:
  The value should increase over time. 

Additional info:
  I found the problem in clipssrc/clips/sysdep.c around line 740. None of the
alternatives matched (Linux seems to be identified as UNIX_7). I added 

#elif UNIX_7
   struct timeval now;
   gettimeofday(&now, 0);
   return (now.tv_usec / 1000000.0) + now.tv_sec;

And I now get useful return values.

  Thanks
    scott

Comment 1 Bug Zapper 2008-05-14 13:43:50 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.